/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2024-05-16
* Changed:         2024-05-17
*
* */

#include "Button.hpp"

using ls::std::event::EventListener;
using test::event::Button;

Button::Button() : EventListener()
{}

Button::~Button() noexcept = default;

bool Button::isClicked() const
{
  return this->clicked;
}

void Button::onClickEvent()
{
  this->clicked = !this->clicked;
}
